---
title: CSSScale()
slug: Web/API/CSSScale/CSSScale
tags:
  - API
  - CSS Typed Object Model API
  - CSSScale
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSScale()</code></strong> constructor creates a new {{domxref("CSSScale")}} object representing the <a href="/en-US/docs/Web/CSS/transform-function/scale()">scale()</a> and <a href="/en-US/docs/Web/CSS/transform-function/scale()">scale3d()</a> values of the individual {{CSSXref('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSScale</var> = new CSSScale(<em>x</em>,<em>y[</em>,<em>z]</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSScale.x','x')}}</dt>
 <dd>A value for the x-axis of the {{domxref('CSSScale')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}.</dd>
 <dt>{{domxref('CSSScale.y','y')}}</dt>
 <dd>A value for the y-axis of the {{domxref('CSSScale')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}.</dd>
 <dt>{{domxref('CSSScale.z','z')}}{{optional_inline}}</dt>
 <dd>A value for the z-axis of the {{domxref('CSSScale')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}. If a value is passed for the <code>z-axis</code> this is a 3d transform. The value of <code>is2D</code> will be set to false.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssscale-cssscale','CSSScale')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSScale.CSSScale")}}</p>
